seo:
  title: 'Feature Highlight: Approve Merge Request'
  description: >-
    With less than a week until GitLab 7.12, we've got a nice preview for you
    today: Merge Request Approvals in GitLab EE. View more here!
  ogTitle: 'Feature Highlight: Approve Merge Request'
  ogDescription: >-
    With less than a week until GitLab 7.12, we've got a nice preview for you
    today: Merge Request Approvals in GitLab EE. View more here!
  noIndex: false
  ogImage: images/blog/hero-images/logoforblogpost.jpg
  ogUrl: https://about.gitlab.com/blog/feature-highlight-approve-merge-request
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/feature-highlight-approve-merge-request
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Feature Highlight: Approve Merge Request",
            "author": [{"@type":"Person","name":"Dmitriy Zaporozhets"}],
            "datePublished": "2015-06-16",
          }

content:
  title: 'Feature Highlight: Approve Merge Request'
  description: >-
    With less than a week until GitLab 7.12, we've got a nice preview for you
    today: Merge Request Approvals in GitLab EE. View more here!
  authors:
    - Dmitriy Zaporozhets
  heroImage: images/blog/hero-images/logoforblogpost.jpg
  date: '2015-06-16'
  body: >


    With less than a week until GitLab 7.12, we've got a nice preview for you
    today:

    Merge Request Approvals in GitLab EE.


    Usually you accept a merge request the moment it is ready and reviewed.

    But in some cases you want to make sure that every merge request is reviewed

    and signed off by several people before merging it.

    With GitLab Enterprise Edition 7.12, you can enforce such a workflow

    that requires multiple reviewers with the new Merge Request Approval
    feature.


    ![approve_merge_request](https://about.gitlab.com/images/feature_approval/mr.png)


    <!-- more -->


    To enable approvals, go to project settings page and set the

    "Approvals required" field to a numeric value. For example, if you set it to
    `3`

    each merge request has to receive 3 approvals from different people

    before it can be merged through the user interface.


    ![approve_setting](https://about.gitlab.com/images/feature_approval/settings.png)


    After setting the approval, you will see an `Approve` button on merge
    requests,

    rather than an `Accept` button. Once the merge request has enough approvals,

    you will be able to merge it as usual.


    We'd love to hear what you think of this new feature in the comments below.
  category: Company
config:
  slug: feature-highlight-approve-merge-request
  featured: false
  template: BlogPost
